Commit 625dabde authored by David Swan's avatar David Swan
Browse files

(IAC-1012) - Removal of Inappropriate Terminology

Removal of any offensive or inappropriate terminology from the code base.
parent 434dd745
......@@ -220,7 +220,7 @@ jobs:
runs-on: ubuntu-20.04
steps:
- name: Slack Workflow Notification
uses: Gamesight/slack-workflow-status@master
uses: Gamesight/slack-workflow-status@main
with:
# Required Input
repo_token: ${{ secrets.GITHUB_TOKEN }}
......
......@@ -21,7 +21,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Litmus Parallel
uses: puppetlabs/action-litmus_parallel@master
uses: puppetlabs/action-litmus_parallel@main
with:
platform: ${{ matrix.platform }}
agent_family: ${{ matrix.agent_family }}
......@@ -40,7 +40,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Litmus Parallel
uses: puppetlabs/action-litmus_parallel@master
uses: puppetlabs/action-litmus_parallel@main
with:
platform: ${{ matrix.platform }}
agent_family: ${{ matrix.agent_family }}
......@@ -59,7 +59,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Spec Tests
uses: puppetlabs/action-litmus_spec@master
uses: puppetlabs/action-litmus_spec@main
with:
puppet_gem_version: ${{ matrix.puppet_gem_version }}
check: ${{ matrix.check }}
......@@ -20,7 +20,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Litmus Parallel
uses: puppetlabs/action-litmus_parallel@master
uses: puppetlabs/action-litmus_parallel@main
with:
platform: ${{ matrix.platform }}
agent_family: ${{ matrix.agent_family }}
......@@ -39,7 +39,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Litmus Parallel
uses: puppetlabs/action-litmus_parallel@master
uses: puppetlabs/action-litmus_parallel@main
with:
platform: ${{ matrix.platform }}
agent_family: ${{ matrix.agent_family }}
......@@ -58,7 +58,7 @@ jobs:
steps:
- uses: actions/checkout@v1
- name: Spec Tests
uses: puppetlabs/action-litmus_spec@master
uses: puppetlabs/action-litmus_spec@main
with:
puppet_gem_version: ${{ matrix.puppet_gem_version }}
check: ${{ matrix.check }}
......@@ -432,7 +432,7 @@ This release sees a massive update to all unit tests to test UTF8 characters. Th
- Permit double slash in absolute/Unix path types.
#### Bugfixes
- Fix unsupported data type error with rspec-puppet master.
- Fix unsupported data type error with rspec-puppet server.
- Now allows test module metadata.json to be read by Puppet.
- Fix acceptance test failure "Hiera is not a class".
- Removal of unsupported platforms and future parser setting in acceptance tests.
......@@ -1076,7 +1076,7 @@ This is a supported release
##### 2012-07-19 - Jeff McCune <jeff@puppetlabs.com> - 2.4.0
* (Maint) use PuppetlabsSpec::PuppetInternals.scope (master) (deafe88)
* (Maint) use PuppetlabsSpec::PuppetInternals.scope (main) (deafe88)
##### 2012-07-10 - Hailee Kenney <hailee@puppetlabs.com> - 2.4.0
......@@ -1102,7 +1102,7 @@ This is a supported release
* (#13595) initialize\_everything\_for\_tests couples modules Puppet ver (3222f35)
* (#13439) Fix MRI 1.9 issue with spec\_helper (15c5fd1)
* (#13439) Fix test failures with Puppet 2.6.x (665610b)
* (#13439) refactor spec helper for compatibility with both puppet 2.7 and master (82194ca)
* (#13439) refactor spec helper for compatibility with both puppet 2.7 and server (82194ca)
* (#13494) Specify the behavior of zero padded strings (61891bb)
##### 2012-03-29 Puppet Labs <support@puppetlabs.com> - 2.1.3
......
......@@ -108,7 +108,7 @@ process as easy as possible.
To submit your changes via a GitHub pull request, we _highly_
recommend that you have them on a topic branch, instead of
directly on "master".
directly on "main".
It makes things much easier to keep track of, especially if
you decide to work on another thing before your first change
is merged in.
......
......@@ -304,7 +304,7 @@ This release sees a massive update to all unit tests to test UTF8 characters. Th
- Permit double slash in absolute/Unix path types.
#### Bugfixes
- Fix unsupported data type error with rspec-puppet master.
- Fix unsupported data type error with rspec-puppet server.
- Now allows test module metadata.json to be read by Puppet.
- Fix acceptance test failure "Hiera is not a class".
- Removal of unsupported platforms and future parser setting in acceptance tests.
......@@ -948,7 +948,7 @@ This is a supported release
##### 2012-07-19 - Jeff McCune <jeff@puppetlabs.com> - 2.4.0
* (Maint) use PuppetlabsSpec::PuppetInternals.scope (master) (deafe88)
* (Maint) use PuppetlabsSpec::PuppetInternals.scope (main) (deafe88)
##### 2012-07-10 - Hailee Kenney <hailee@puppetlabs.com> - 2.4.0
......@@ -974,7 +974,7 @@ This is a supported release
* (#13595) initialize\_everything\_for\_tests couples modules Puppet ver (3222f35)
* (#13439) Fix MRI 1.9 issue with spec\_helper (15c5fd1)
* (#13439) Fix test failures with Puppet 2.6.x (665610b)
* (#13439) refactor spec helper for compatibility with both puppet 2.7 and master (82194ca)
* (#13439) refactor spec helper for compatibility with both puppet 2.7 and server (82194ca)
* (#13494) Specify the behavior of zero padded strings (61891bb)
##### 2012-03-29 Puppet Labs <support@puppetlabs.com> - 2.1.3
......
......@@ -64,7 +64,7 @@ node default {
## Reference
For information on the classes and types, see the [REFERENCE.md](https://github.com/puppetlabs/puppetlabs-stdlib/blob/master/REFERENCE.md).
For information on the classes and types, see the [REFERENCE.md](https://github.com/puppetlabs/puppetlabs-stdlib/blob/main/REFERENCE.md).
<a id="data-types"></a>
### Data types
......@@ -544,7 +544,7 @@ Returns the value of the Puppet environment path settings for the node running P
#### `puppet_server`
Returns the Puppet agent's `server` value, which is the hostname of the Puppet master with which the agent should communicate.
Returns the Puppet agent's `server` value, which is the hostname of the Puppet server with which the agent should communicate.
#### `root_home`
......@@ -560,11 +560,11 @@ Returns the default provider Puppet uses to manage services on this system
As of Puppet Enterprise 3.7, the stdlib module is no longer included in PE. PE users should install the most recent release of stdlib for compatibility with Puppet modules.
For an extensive list of supported operating systems, see [metadata.json](https://github.com/puppetlabs/puppetlabs-stdlib/blob/master/metadata.json)
For an extensive list of supported operating systems, see [metadata.json](https://github.com/puppetlabs/puppetlabs-stdlib/blob/main/metadata.json)
## Development
Puppet modules on the Puppet Forge are open projects, and community contributions are essential for keeping them great. We can’t access the huge number of platforms and myriad hardware, software, and deployment configurations that Puppet is intended to serve. We want to keep it as easy as possible to contribute changes so that our modules work in your environment. There are a few guidelines that we need contributors to follow so that we can have a chance of keeping on top of things. For more information, see our [module contribution guide](https://github.com/puppetlabs/puppetlabs-stdlib/blob/master/CONTRIBUTING.md).
Puppet modules on the Puppet Forge are open projects, and community contributions are essential for keeping them great. We can’t access the huge number of platforms and myriad hardware, software, and deployment configurations that Puppet is intended to serve. We want to keep it as easy as possible to contribute changes so that our modules work in your environment. There are a few guidelines that we need contributors to follow so that we can have a chance of keeping on top of things. For more information, see our [module contribution guide](https://github.com/puppetlabs/puppetlabs-stdlib/blob/main/CONTRIBUTING.md).
To report or research a bug with any part of this module, please go to
[http://tickets.puppetlabs.com/browse/MODULES](http://tickets.puppetlabs.com/browse/MODULES).
......
......@@ -3984,7 +3984,7 @@ hash types are:
The third argument to this function is the salt to use.
> *Note:*: this uses the Puppet Master's implementation of crypt(3). If your
> *Note:*: this uses the Puppet Server's implementation of crypt(3). If your
environment contains several different operating systems, ensure that they
are compatible before using this function.
......@@ -4005,7 +4005,7 @@ hash types are:
The third argument to this function is the salt to use.
> *Note:*: this uses the Puppet Master's implementation of crypt(3). If your
> *Note:*: this uses the Puppet Server's implementation of crypt(3). If your
environment contains several different operating systems, ensure that they
are compatible before using this function.
......
......@@ -3,12 +3,12 @@
* Work in a topic branch
* Submit a github pull request
* Address any comments / feeback
* Merge into master using --no-ff
* Merge into main using --no-ff
# Releasing this module #
* This module adheres to http://semver.org/
* Look for API breaking changes using git diff vX.Y.Z..master
* Look for API breaking changes using git diff vX.Y.Z..
* If no API breaking changes, the minor version may be bumped.
* If there are API breaking changes, the major version must be bumped.
* If there are only small minor changes, the patch version may be bumped.
......
# These facter facts return the value of the Puppet vardir and environment path
# settings for the node running puppet or puppet agent. The intent is to
# enable Puppet modules to automatically have insight into a place where they
# can place variable data, or for modules running on the puppet master to know
# can place variable data, or for modules running on the puppet server to know
# where environments are stored.
#
# The values should be directly usable in a File resource path attribute.
......
......@@ -37,7 +37,7 @@ module Puppet::Parser::Functions
path = args[0]
# This logic was borrowed from
# [lib/puppet/file_serving/base.rb](https://github.com/puppetlabs/puppet/blob/master/lib/puppet/file_serving/base.rb)
# [lib/puppet/file_serving/base.rb](https://github.com/puppetlabs/puppet/blob/main/lib/puppet/file_serving/base.rb)
# Puppet 2.7 and beyond will have Puppet::Util.absolute_path? Fall back to a back-ported implementation otherwise.
if Puppet::Util.respond_to?(:absolute_path?)
value = (Puppet::Util.absolute_path?(path, :posix) || Puppet::Util.absolute_path?(path, :windows))
......
......@@ -29,7 +29,7 @@ module Puppet::Parser::Functions
if $stdout.isatty
binding.pry # rubocop:disable Lint/Debugger
else
Puppet.warning 'pry(): cowardly refusing to start the debugger on a daemonized master'
Puppet.warning 'pry(): cowardly refusing to start the debugger on a daemonized server'
end
end
end
......@@ -28,7 +28,7 @@ Puppet::Parser::Functions.newfunction(
@return [Hash]
Provides a hash usable on most POSIX systems.
> *Note:*: this uses the Puppet Master's implementation of crypt(3). If your
> *Note:*: this uses the Puppet Server's implementation of crypt(3). If your
environment contains several different operating systems, ensure that they
are compatible before using this function.
DOC
......
......@@ -726,7 +726,7 @@ PuppetまたはPuppet agentが稼働しているノードについて設定さ
#### `puppet_server`
Puppet agentの`server`値を返します。この値は、agentが通信するPuppet masterのホストネームです。
Puppet agentの`server`値を返します。この値は、agentが通信するPuppet serverのホストネームです。
#### `root_home`
......@@ -2065,7 +2065,7 @@ Puppet 4.0.0以降では、内蔵の[`map`](https://docs.puppet.com/puppet/lates
#### `pry`
現在のスコープオブジェクトでpryデバッグセッションを起動します。コンパイル中の特定ポイントにおけるマニフェストコードのデバッグに役立ちます。`puppet apply`の実行中またはフォアグラウンドでPuppet masterを実行しているときにのみ使用する必要があります。PuppetのRubyGemsに`pry` gemがインストールされている必要があります。
現在のスコープオブジェクトでpryデバッグセッションを起動します。コンパイル中の特定ポイントにおけるマニフェストコードのデバッグに役立ちます。`puppet apply`の実行中またはフォアグラウンドでPuppet serverを実行しているときにのみ使用する必要があります。PuppetのRubyGemsに`pry` gemがインストールされている必要があります。
*例:*
......@@ -2095,7 +2095,7 @@ crypt関数を用いてパスワードをハッシュします。ほとんどの
この関数の第3の引数は、使用するソルトです。
この関数は、Puppet masterのcrypt(3)実装を使用しています。お使いの環境に複数の異なるオペレーティングシステムが含まれている場合は、この関数を使用する前に、互換性があることを確認してください。
この関数は、Puppet serverのcrypt(3)実装を使用しています。お使いの環境に複数の異なるオペレーティングシステムが含まれている場合は、この関数を使用する前に、互換性があることを確認してください。
*タイプ*: 右辺値
......@@ -3109,7 +3109,7 @@ Puppet 4.0.0以降では、インデックスで配列をスライスし、言
Puppet Enterprise 3.7では、stdlibモジュールがPEに含まれていません。PEユーザは、Puppetと互換性のあるstdlibの最新リリースをインストールする必要があります。
サポートされているオペレーティングシステムの一覧については、[metadata.json](https://github.com/puppetlabs/puppetlabs-stdlib/blob/master/metadata.json)を参照してください。
サポートされているオペレーティングシステムの一覧については、[metadata.json](https://github.com/puppetlabs/puppetlabs-stdlib/blob/main/metadata.json)を参照してください。
### バージョン互換性
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment